Commits

Meikel Brandmeyer committed fee8d0f

Refactored test driver into t/testlib.sh

  • Participants
  • Parent commits 56e06d4

Comments (0)

Files changed (8)

File t/000_plan.t

 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter $2
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	cmp -s $exp $out
-	print_result $? $3
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..1
 

File t/001_diag.t

 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter $2
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	cmp -s $exp $out
-	print_result $? $3
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..1
 
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter $2
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	cmp -s $exp $out
-	print_result $? $3
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..4
 
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter $2
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	cmp -s $exp $out
-	print_result $? $3
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..4
 

File t/004_isnt.t

 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter $2
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	diff -u $exp $out
-	cmp -s $exp $out
-	print_result $? $3
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..4
 

File t/005_like.t

 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter $2
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	cmp -s $exp $out
-	print_result $? $3
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..4
 
 try '(like? (.concat "foo" "bar") #"xx")' 'not ok 1
 # Expected: (.concat "foo" "bar")
 # to match: xx' "false w/o description"
-try '(like? (.concat "foo" "bar") #"o+b" "success")' "ok 1 - success" "true w/ description"
+try '(like? (.concat "foo" "bar") #"o+b" "success")' "ok 1 - success" \
+	"true w/ description"
 try '(like? (.concat "foo" "bar") #"xx" "failure")' 'not ok 1 - failure
 # Expected: (.concat "foo" "bar")
 # to match: xx' "false w/ description"

File t/006_unlike.t

 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 
-in="$0.in"
-out="$0.out"
-exp="$0.exp"
-
-counter=1
-
-print_result() {
-	if [ $1 -ne 0 ]; then
-		printf "not "
-	fi
-	printf "ok %d - %s\n" $counter "$2"
-	counter=`expr $counter + 1`
-}
-
-try() {
-	cat >$in <<EOF
-(load-file "tap.clj")
-(clojure/refer 'tap)
-$1
-EOF
-
-	cat >$exp <<EOF
-$2
-EOF
-
-	java clojure.lang.Script $in >$out
-	cmp -s $exp $out
-	print_result $? "$3"
-}
-
-cleanup() {
-	rm -f $in $out $exp
-}
-
-trap cleanup 2 3 5 6 9 15
+. t/testlib.sh
 
 echo 1..4
 

File t/testlib.sh

+#! /bin/sh
+#-
+# Copyright 2008 (c) Meikel Brandmeyer.
+# All rights reserved.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+in="$0.in"
+out="$0.out"
+exp="$0.exp"
+
+counter=1
+
+print_result() {
+	if [ $1 -ne 0 ]; then
+		printf "not "
+	fi
+	printf "ok %d - %s\n" $counter "$2"
+	counter=`expr $counter + 1`
+}
+
+try() {
+	cat >$in <<EOF
+(load-file "tap.clj")
+(clojure/refer 'tap)
+$1
+EOF
+
+	cat >$exp <<EOF
+$2
+EOF
+
+	java clojure.lang.Script $in >$out
+	cmp -s $exp $out
+	print_result $? "$3"
+}
+
+cleanup() {
+	rm -f $in $out $exp
+}
+
+trap cleanup 2 3 5 6 9 15
+
+# vim:ft=sh: